Description

Copying a polygon and pasting it to a line layer creates a closed line from the polygon border. And vice-versa when copying a line to a

polygon layer.

However, copying such geometries to a point layer generates an error message.

Might be nice to have it possible, generating a multipoint feature from vertices of the copied feature.

see http://osgeo-org.1560.x6.nabble.com/Copy-paste-polygon-to-line-shapefile-td5273537.html

History

#1 - 2016-06-30 02:05 AM - Jukka Rahkonen

That would create many point features from one polygon which does not feel consistent. I would prefer a single multipoint feature but does a point layer

accept multipoints?

#2 - 2016-06-30 02:27 AM - Harrissou Santanna

good point! I wasn't clear in my description (will fix it): i was expecting a multipoint feature which parts are vertices of the line or polygon. which is coherent

with the current behavior: a polygon with ring creates a multiline feature.

And yes, point layer can have multipoint features.

#3 - 2016-07-02 08:58 AM - Matthias Kuhn

And yes, point layer can have multipoint features.

That depends on the data provider. E.g. a geometry column on a postgis table can be Point or MultiPoint.

#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
